<template>
  <div>
    <slot v-if="ready"></slot>
  </div>
</template>

<script>
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import LeafletGetter from '@/workspace/mixins/LeafletGetter'

export default {
  name: 'mappane',

  mixins: [
    WorkspaceGetter,
    LeafletGetter,
  ],

  props: {
    name: {
      type: String,
      required: true,
    },

    zindex: {
      type: Number,
      required: true,
    },
  },

  data() {
    return { ready: false }
  },

  mounted() {
    this.leafletMap.createPane(this.name)
    this.leafletMap.getPane(this.name).style.zIndex = this.zindex
    this.ready = true
  },
}
</script>
